%global gitcommit 084d19950a39673e42954632f4ac44870055b4c6
%global gitcommitshort %(gitcommit=%{gitcommit};echo ${gitcommit:0:8})

%define         subrel 2

#was broken on 6.3. kernels and not needed anymore
%bcond_without 	ashmem

Name:           dkms-anbox
Version:        0.0.3
Release:        %mkrel 1
Summary:        Anbox kernel modules for running an Android runtime such as Waydroid
License:        GPLv3
Group:          System/Kernel and hardware
URL:            https://github.com/choff/anbox-modules
Source:         https://github.com/choff/anbox-modules/archive/%{gitcommit}/anbox-modules-%{gitcommitshort}.tar.gz
BuildArch:      noarch
Requires:       dkms
Provides:       anbox-kmp = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains out-of-tree versions of Android-specific kernel drivers.

They are required for running an Android run-time via Anbox or Wayroid on
kernels compiled without CONFIG_ASHMEM and CONFIG_ANDROID_BINDERFS.

See also https://bugs.mageia.org/show_bug.cgi?id=29611

%prep
%setup -q -n anbox-modules-%{gitcommit}

%build
# nothing to build

%install
# kmods
install -d %{buildroot}/%{_prefix}/src
%if %{with ashmem}
cp -r ashmem %{buildroot}/%{_prefix}/src/anbox-ashmem-%{version}-%{release}
%endif
cp -r binder %{buildroot}/%{_prefix}/src/anbox-binder-%{version}-%{release}

%__install -D -m 644 anbox.conf %{buildroot}%{_modulesloaddir}/anbox.conf
%__install -D -m 644 99-anbox.rules  %{buildroot}%{_udevrulesdir}/99-anbox.rules

%post
%if %{with ashmem}
if [ -z "$(dkms status -m anbox-ashmem -v %{version}-%{release})" ]; then
    dkms add -m anbox-ashmem -v %{version}-%{release} --rpm_safe_upgrade
fi
dkms build -m anbox-ashmem -v %{version}-%{release}
dkms install -m anbox-ashmem -v %{version}-%{release}
%endif

if [ -z "$(dkms status -m anbox-binder -v %{version}-%{release})" ]; then
    dkms add -m anbox-binder -v %{version}-%{release} --rpm_safe_upgrade
fi
dkms build -m anbox-binder -v %{version}-%{release}
dkms install -m anbox-binder -v %{version}-%{release}

%preun
%if %{with ashmem}
dkms remove -m anbox-ashmem -v %{version}-%{release} --rpm_safe_upgrade --all ||:
%endif
dkms remove -m anbox-binder -v %{version}-%{release} --rpm_safe_upgrade --all ||:

%files
%defattr(-,root,root)
%config(noreplace) %{_udevrulesdir}/99-anbox.rules
%config(noreplace) %{_modulesloaddir}/anbox.conf
%if %{with ashmem}
%{_prefix}/src/anbox-ashmem-%{version}-%{release}
%endif
%{_prefix}/src/anbox-binder-%{version}-%{release}


%changelog
* Tue Dec 26 2023 eatdirt <eatdirt> 0.0.3-1.2.mga9
+ Revision: 2021908
- Fix anbox build and add module config files
- Update to latest git snapshot mga#29611

* Sat Dec 10 2022 buchan <buchan> 0.0.3-1.mga9
+ Revision: 1920368
- Update to cd66055f to fix build on kernel 6.0.x

* Mon Mar 21 2022 umeabot <umeabot> 0.0.2-2.mga9
+ Revision: 1816188
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 buchan <buchan> 0.0.2-1.mga9
+ Revision: 1781665
- Update to current anbox-modules supporting kernel 5.15.2+

* Sun Nov 14 2021 buchan <buchan> 0.0.1-2.mga9
+ Revision: 1756417
+ rebuild (emptylog)

* Sat Nov 06 2021 buchan <buchan> 0.0.1-1.mga9
+ Revision: 1754202
- imported package dkms-anbox

